Bug 393671 - Could patch from SynCE team be picked up into kernel?
Could patch from SynCE team be picked up into kernel?
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-21 01:01 EST by Alexey Neyman
Modified: 2008-02-13 18:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-13 18:32:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch updated to 2.6.23 kernel (893 bytes, patch)
2007-11-21 01:03 EST, Alexey Neyman
no flags Details | Diff

  None (edit)
Description Alexey Neyman 2007-11-21 01:01:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.8 (like Gecko)

Description of problem:
There is a patch posted by the SynCE team to kernels > 2.6.21 that needs to be 
applied in order to connect Windows Mobile 5/6 PDAs to Linux host:


The patch is against a 2.6.21 kernel; the 2nd hunk is already present in the 
2.6.23 kernel. Without the patch, connecting a PDA results in rndis_host being 
never configured, and on the PDA, ActiveSync hogs the CPU to 100% load.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect a PDA with Windows Mobile 5/6.
2. See that rndis_host interface doesn't activate, try to use the PDA and find 
that it is runnning very sloooooow.

Actual Results:

Expected Results:

Additional info:
Comment 1 Alexey Neyman 2007-11-21 01:03:42 EST
Created attachment 265701 [details]
Patch updated to 2.6.23 kernel
Comment 2 Chuck Ebbert 2007-11-21 13:50:48 EST
Unless this patch is reviewed and accepted by the upstream maintainers we can't
put it in Fedora since it might break something.
Comment 3 Alexey Neyman 2007-11-21 14:35:56 EST
As far as I understand, not all the patches applied to Fedora kernels are 
upstream-approved. In this case, would it be possible to include such a patch 
if I reworked it so that the current behavior is default and the behavior 
introduced by SynCE patch is enabled by some module parameter? This way it 
could be configurable in /etc/modprobe.conf.
Comment 4 Chuck Ebbert 2007-11-21 14:58:19 EST
Why not just submit it upstream for comments first? If it's needed for this
device to work, then it should be upstream so everyone gets it.

Comment 5 Alexey Neyman 2007-11-21 15:18:09 EST
You must be mistaken: I am not SynCE maintainer; I am just a Fedora user and 
an owner of a WM6 device that triggers this bug when plugged in. I am not 
knowledgeable enough even to describe what the patch does. For me, the patch 
from SynCE site just fixes the problem - that's why I asked if Fedora kernel 
maintainers could pick it up.

Otherwise, I'll have to stick to creating custom kernels for the F8 lifetime 
every time I update the packages.
Comment 7 Jon Stanley 2008-01-16 19:53:27 EST
Alexey -

Have you had a chance to try the 2.6.24 patch posted in comment #6?
Comment 8 Christopher Brown 2008-02-13 18:32:58 EST
Closing as no comment in over two months now...

Alexey - please re-open if this is still an issue in 2.6.24.

Note You need to log in before you can comment on or make changes to this bug.